FreeMat

- Main Page
- Related Pages

COMPLEX Create a Complex Number

Section: Type Conversion Functions

# Usage

Converts the two real input arguments into the real and imaginary part (respectively) of a complex number. The syntax for its use is

       y = complex(x,z)

where `x` and `z` are `n`-dimensional numerical arrays. The usual rules for binary operators apply (i.e., one of the arguments can be a scalar, if either is of type `single` the output is single, etc.).